=== debian/changelog ===
anet (0.1-3) unstable; urgency=low

  * Remove mips, mipsel and sparc from Architecture list.
    The Anet unit tests do not pass on these architectures (see Debian
    bug #673772 for details).

 -- Reto Buerki <reet@codelabs.ch>  Sun, 27 May 2012 13:57:14 +0200

anet (0.1-2) unstable; urgency=low

  * Disable multicast tests.
    These tests do not work on the buildd's.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 21 May 2012 20:50:02 +0200

anet (0.1-1) unstable; urgency=low

  * Initial release (Closes: #669251)

 -- Reto Buerki <reet@codelabs.ch>  Wed, 18 Apr 2012 15:34:07 +0200
