=== doc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 $(DESTDIR)/asciidoc.css: asciidoc.css
 	cp $< $@
 
-$(DESTDIR)/index.html: ../README page.conf
+$(DESTDIR)/index.html: index page.conf ../README
 	asciidoc $(ASCIIDOC_OPTS) $< > $@
 
 clean:
