=== debian/changelog ===
anet (0.3.1-1ubuntu1) utopic; urgency=medium

  * Build everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Aug 2014 21:15:28 +0200

anet (0.3.1-1) unstable; urgency=medium

  * Update to release 0.3.1
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Update binary package names
  * Adapt Multicast patch to new version
  * Remove socat from Build-Depends
  * Add source-highlight to Build-Depends
  * Specify debian branch in Vcs-Git field
  * Update package descriptions in debian/control
  * Update to Standards-Version 3.9.5
  * Enable dpkg-buildflags hardening options
  * Declare conflict with libanet0.1-dev
  * Add OS=bsd to make options on kfreebsd
  * Add kfreebsd-amd64, kfreebsd-i386 to Architecture
  * Remove ia64, s390 from Architecture field
  * Declare NUM_CPUS variable in debian/rules
  * Transition to gnat-4.9 compiler (Closes: #756081)
  * Update ahven Build-Depends to libahven4-dev

 -- Reto Buerki <reet@codelabs.ch>  Tue, 12 Aug 2014 21:32:41 +0200
