=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-4.9, libahven4-dev,
 source-highlight
Standards-Version: 3.9.5
Homepage: http://www.codelabs.ch/anet/
Vcs-Browser: http://git.codelabs.ch/?p=anet.git
Vcs-Git: http://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet0.3.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libanet0.3.1 (= ${binary:Version}), gnat, gnat-4.9
Conflicts: libanet0.1-dev
Replaces: libanet0.1-dev
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

Package: libanet0.3.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libanet0.3.1 (= ${binary:Version}),
 libanet0.3.1-dev (= ${binary:Version})
Description: Ada networking library (debug)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the debugging symbols.
