=== debian/watch ===
version=3
http://www.codelabs.ch/download/libanet-(.*)\.tar\.bz2
