=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 9), gnat, gnat-6, libahven5-dev,
 source-highlight
Standards-Version: 3.9.8
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.3
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet1-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc s390x
Depends: ${misc:Depends}, libanet0.3.3 (= ${binary:Version}), gnat, gnat-6
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.
