=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-6.mk

export GNAT_BUILDER_FLAGS = $(BUILDER_OPTIONS)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
MAKE_OPTS += OS=bsd
endif

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) $(MAKE_OPTS) PREFIX=$(CURDIR)/debian/tmp install
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static PREFIX=$(CURDIR)/debian/tmp install
	rm -rf debian/tmp/lib/gnat

override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile
