=== debian/watch ===
version=3
https://www.codelabs.ch/download/libanet-(.*)\.tar\.bz2
