## anet 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PREFIX   ?= $(HOME)/libraries
-TESTDIR   = $(OS)/tests
-OBJDIR    = obj
+TESTDIR   = tests
+OBJDIR    = obj/$(OS)
 COVDIR    = $(OBJDIR)/cov
 LIBDIR    = lib
 SRCDIR    = src
@@ -8,7 +8,7 @@
 
 MAJOR    = 0
 MINOR    = 3
-REVISION = 3
+REVISION = 4
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2
