=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Build-Depends: asciidoc, debhelper (>= 10),
 gnat, gnat-7,
 dh-ada-library,
 libahven6-dev,
 source-highlight
Standards-Version: 4.1.0
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet0.3.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.

Package: libanet2-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.
