=== debian/rules ===
#!/usr/bin/make -f

gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
dev_pkg := $(shell sed -n \
  '/^Package: \(libanet[0-9.]\+-dev\)$$/{s//\1/;p;q}' debian/control)

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  $(foreach v,ADAFLAGS LDFLAGS OS,'$(v)=$($(v))') \
  GNAT_BUILDER_FLAGS='$(BUILDER_OPTIONS)'

%:
	dh ${@} --with ada-library

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif

# Ignore upstream install target.
.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKE_OPTS) tests
endif

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library LIBRARY_KIND=dynamic OS=$(OS) anet_lib.gpr

.PHONY: override_dh_installdocs
override_dh_installdocs: debian/$(dev_pkg).doc-base
	dh_installdocs -p$(dev_pkg) doc/html/*
	dh_installdocs --remaining-packages

debian/$(dev_pkg).doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean debian/$(dev_pkg).doc-base
