## anet 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 PREFIX   ?= $(HOME)/libraries
 TESTDIR   = tests
 OBJDIR    = obj/$(OS)
-COVDIR    = $(OBJDIR)/cov
+COVDIR    = $(OBJDIR)/coverage
 LIBDIR    = lib
 SRCDIR    = src
 GPR_FILES = gnat/*.gpr
 
 MAJOR    = 0
-MINOR    = 3
-REVISION = 4
+MINOR    = 4
+REVISION = 1
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2
@@ -26,12 +26,12 @@
 
 NUM_CPUS ?= 1
 
-# GNAT_BUILDER_FLAGS, ADAFLAGS and GNATFLAGS may be overridden in the
+# GNAT_BUILDER_FLAGS may be overridden in the
 # environment or on the command line.
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -XOS=$(OS) -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -p ${GNAT_BUILDER_FLAGS} \
+  $(foreach v,ADAFLAGS LDFLAGS OS VERSION,'-X$(v)=$($(v))')
 
 # GNU-style directory variables
 prefix      = ${PREFIX}
@@ -43,27 +43,26 @@
 all: build_lib
 
 build_lib:
-	@gnatmake $(GMAKE_OPTS) -Panet_lib -XVERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XLDFLAGS="$(LDFLAGS)"
+	gprbuild $(GMAKE_OPTS) anet_lib.gpr -XLIBRARY_KIND=$(LIBRARY_KIND)
 
 build_tests:
-	@gnatmake $(GMAKE_OPTS) -Panet_tests
+	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XLIBRARY_KIND=static -XBUILD=tests
 
 tests: build_tests
-	@$(OBJDIR)/$(TESTDIR)/test_runner
+	$(OBJDIR)/$(TESTDIR)/test_runner
 
 build_all: build_tests build_lib
 
 cov:
-	@rm -f $(COVDIR)/*.gcda
-	@gnatmake $(GMAKE_OPTS) -Panet_tests.gpr -XBUILD="coverage"
-	@$(COVDIR)/test_runner || true
-	@lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
-	@lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
-	@genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)
+	rm -f $(COVDIR)/*.gcda
+	gprbuild $(GMAKE_OPTS) anet_tests.gpr -XLIBRARY_KIND=static -XBUILD=coverage
+	$(COVDIR)/test_runner || true
+	lcov -c -d $(COVDIR) -o $(COVDIR)/cov.info
+	lcov -e $(COVDIR)/cov.info "$(PWD)/src/*.adb" -o $(COVDIR)/cov.info
+	genhtml --no-branch-coverage $(COVDIR)/cov.info -o $(COVDIR)
 
 examples:
-	@gnatmake $(GMAKE_OPTS) -Panet_examples
+	gprbuild $(GMAKE_OPTS) anet_examples.gpr -XLIBRARY_KIND=static
 
 install: install_lib install_$(LIBRARY_KIND)
 
@@ -89,15 +88,15 @@
 	cp -r data $(DESTDIR)$(prefix)/$(TESTDIR)
 
 doc:
-	@$(MAKE) -C doc
+	$(MAKE) -C doc
 
 clean:
-	@rm -rf $(OBJDIR)
-	@rm -rf $(LIBDIR)
-	@$(MAKE) -C doc clean
+	rm -rf $(OBJDIR)
+	rm -rf $(LIBDIR)
+	$(MAKE) -C doc clean
 
 dist:
 	@echo "Creating release tarball $(TARBALL) ... "
-	@git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)
+	git archive --format=tar HEAD --prefix $(ANET)/ | bzip2 > $(TARBALL)
 
 .PHONY: doc examples tests
