=== debian/changelog ===
anet (0.4.1-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:39 +0200

anet (0.4.1-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.4.1 (Closes: #887406)
  * Standards-Version: 4.1.5. Rules-Requires-Root: no
  * Add gprbuild to Build-Depends
  * Disable all socket tests. See #875466
  * Add Nicolas Boulenguez to Uploaders

  [ Nicolas Boulenguez ]
  * Switch to debhelper 11
  * Get dev_pkg and gnat_version slightly more efficiently
  * Pass VERSION=unused to dh_ada_library
  * Install examples
  * Update copyright years
  * Rename shared library and -dev package
  * Drop source/local-options
  * Rebuild with gnat-8 (Closes: #903978)

 -- Reto Buerki <reet@codelabs.ch>  Thu, 09 Aug 2018 15:26:07 +0200
