=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Reto Buerki <reet@codelabs.ch>
-Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>
-Build-Depends: asciidoc, debhelper (>= 10),
- gnat, gnat-7,
+Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
+ Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: asciidoc, debhelper (>= 11),
+ gnat, gnat-8,
+# This line is parsed by debian/rules.
  dh-ada-library,
- libahven6-dev,
+ gprbuild,
+ libahven7-dev,
  source-highlight
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/anet/
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet0.3.4
+Package: libanet0.4.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -22,7 +26,7 @@
  provides a BSD socket implementation with a high level of abstraction and an
  extendable socket type hierarchy.
 
-Package: libanet2-dev
+Package: libanet3-dev
 # This line is parsed by debian/rules.
 Section: libdevel
 Architecture: any
