=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
-dev_pkg := $(shell sed -n \
-  '/^Package: \(libanet[0-9.]\+-dev\)$$/{s//\1/;p;q}' debian/control)
+$(foreach line,$(shell sed -n '\
+  s/^Package: \(libanet[0-9.]\+-dev\)$$/ dev_pkg:=\1      /p;\
+  s/^ gnat, gnat-\([0-9]\+\).*/          gnat_version:=\1 /p;\
+ ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/architecture.mk
@@ -37,7 +38,8 @@
 
 .PHONY: override_dh_ada_library
 override_dh_ada_library:
-	dh_ada_library LIBRARY_KIND=dynamic OS=$(OS) anet_lib.gpr
+	dh_ada_library \
+	  LIBRARY_KIND=dynamic OS=$(OS) VERSION=ignored anet_lib.gpr
 
 .PHONY: override_dh_installdocs
 override_dh_installdocs: debian/$(dev_pkg).doc-base
@@ -47,6 +49,11 @@
 debian/$(dev_pkg).doc-base: debian/template_libanet-dev.doc-base
 	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
 
+.PHONY: override_dh_installexamples
+override_dh_installexamples:
+	dh_installexamples -p$(dev_pkg) examples/*
+	dh_installexamples --remaining-packages
+
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ads -X.adb -XMakefile
