## anet 0.4.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 MAJOR    = 0
 MINOR    = 4
-REVISION = 1
+REVISION = 2
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
 TARBALL  = $(ANET).tar.bz2
