=== debian/changelog ===
anet (0.4.2-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 11:35:13 +0200

anet (0.4.2-5) experimental; urgency=medium

  * Build with gnat-11 in experimental. Rename -dev package accordingly.
  * Standards-Version: 4.6.0.
  * Use unversioned debian_packaging.mk from gnat package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Oct 2021 16:34:41 +0000

anet (0.4.2-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 14:49:36 +0100

anet (0.4.2-3) experimental; urgency=medium

  * Rebuild with gnat-10. Rename -dev and lib packages accordingly.
  * Set shared object version from lib package name.
  * Use dh-sequence-* syntax for dh-ada-library.
  * Pass build flags via the environment.
  * Debhelper 13.
  * Change order of binary packages and simplify Debhelper stuff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2020 16:51:50 +0000

anet (0.4.2-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:48:31 +0100

anet (0.4.2-1) experimental; urgency=medium

  * New upstream release, built with gcc-9.
    Rename -dev and lib packages accordingly.
  * Debhelper 12 does not compress examples anymore.
  * Adapt to asciidoctor doc build. Closes: #894194.
  * Standards-Version: 4.4.1.
  * Repackage and format documentation without special fonts
    (partially cherry-picked upstream).
  * Enable all linker warnings.
  * Update AUTOPKGTEST_TMP variable name.
  * Update upstream signing key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Nov 2019 17:17:40 +0100
