=== debian/control ===
Source: anet
Section: libs
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
 ruby-pygments.rb,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/anet/
Vcs-Browser: https://git.codelabs.ch/?p=anet.git
Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian

Package: libanet6-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada networking library (development)
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
 .
 This package contains the development files.

# This line is parsed by debian/rules:
Package: libanet0.4.3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada networking library
 Anet is a networking library for the Ada programming language. The library
 provides a BSD socket implementation with a high level of abstraction and an
 extendable socket type hierarchy.
