=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^Package: \(libanet[0-9.]\+-dev\)$$/ dev_pkg:=\1      /p;\
  s/^Package: libanet\([0-9.]\+\)$$/     soversion:=\1    /p;\
 ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  OS=$(OS) \
  VERSION=$(soversion) \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=dynamic
	$(MAKE) $(MAKE_OPTS) LIBRARY_KIND=static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif

# Ignore upstream install target.
.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library \
	  LIBRARY_KIND=dynamic OS=$(OS) VERSION=ignored anet_lib.gpr

# d/doc-base affects the -dev package because it is listed first in d/control.
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(dev_pkg)/ $< > $@
