=== debian/changelog ===
anet (0.4.3-3) unstable; urgency=medium

  * Break/Replace libanet*-dev since oldstable. Closes: #1035013 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:26:53 +0200

anet (0.4.3-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Avoid setting VERSION twice.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:23:40 +0100

anet (0.4.3-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.4.3
  * Adjust make commands for version 0.4.3
  * Stop repackaging (fonts are gone)
  * Add upstream metadata

  [ Nicolas Boulenguez ]
  * Stop Build-Depending on unversioned gnat
  * Bump Standards-Version
  * Switch to dh-ada-library/8.2 and packaging.mk
  * Build with gnat 12 for experimental, rename -dev package
  * Remove patches applied upstream

 -- Reto Buerki <reet@codelabs.ch>  Mon, 05 Dec 2022 08:41:51 +0000
