=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.2),
  dh-sequence-ada-library,
- gnat,
- gnat-11,
+ gnat-12,
  gprbuild,
- libahven10-dev,
+ libahven11-dev,
  ruby-pygments.rb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/anet/
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet6-dev
-# This line is parsed by debian/rules.
+Package: libanet7-dev
+Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
+Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -32,7 +32,6 @@
  .
  This package contains the development files.
 
-# This line is parsed by debian/rules:
 Package: libanet0.4.3
 Architecture: any
 Multi-Arch: same
