=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))

MAKE_OPTS := \
  OS=$(OS) \
  GNAT_BUILDER_FLAGS='$(GPRBUILDFLAGS)'

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_OPTS) VERSION=$(anet_SO_VERSION)
	$(MAKE) $(MAKE_OPTS) VERSION=
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) $(MAKE_OPTS) install VERSION=$(anet_SO_VERSION) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,anet)'
	$(MAKE) $(MAKE_OPTS) install VERSION= \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

# d/doc-base affects the -dev package because it is listed first in d/control.
override_dh_auto_build: debian/doc-base
debian/doc-base: debian/template_libanet-dev.doc-base
	sed s/@dev_pkg@/$(anet_DEV_PKG)/ $< > $@
