## anet 0.5.0

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,10 @@
 TESTDIR   = tests
 OBJDIR    = obj/$(OS)
 COVDIR    = $(OBJDIR)/coverage
-LIBDIR    = lib
 
 MAJOR    = 0
-MINOR    = 4
-REVISION = 3
+MINOR    = 5
+REVISION = 0
 # Set VERSION to '' for a static library.
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
@@ -14,7 +13,7 @@
 
 OS ?= linux
 
-NUM_CPUS ?= 1
+NUM_CPUS ?= $(shell nproc)
 
 # GNAT_BUILDER_FLAGS may be overridden in the
 # environment or on the command line.
@@ -70,8 +69,7 @@
 	cp -r data $(DESTDIR)$(PREFIX)/$(TESTDIR)
 
 clean:
-	rm -rf $(OBJDIR)
-	rm -rf $(LIBDIR)
+	rm -rf obj
 
 dist:
 	@echo "Creating release tarball $(TARBALL) ... "
