=== debian/changelog ===
anet (0.5.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:38:43 +0000

anet (0.5.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 20:03:19 +0100

anet (0.5.0-2) experimental; urgency=medium

  * Add patch to remove -fcf-protection compiler switch

 -- Reto Buerki <reet@codelabs.ch>  Thu, 18 Jan 2024 08:59:53 +0100

anet (0.5.0-1) experimental; urgency=medium

  [ Reto Buerki ]
  * Update to release 0.5.0. Closes: #1043987.
  * Update (and simplify) copyright years.

  [ Nicolas Boulenguez ]
  * Upload to experimental because of the following transitions.
  * Build with gnat-13. Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Clarify doc installation and test dependencies with unversioned -dev.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 08 Jan 2024 09:24:45 +0100
