=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: anet
 Section: libs
 Priority: optional
-Maintainer: Reto Buerki <reet@codelabs.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reto Buerki <reet@codelabs.ch>
 Uploaders: Adrian-Ken Rueegsegger <ken@codelabs.ch>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  asciidoctor,
  debhelper-compat (= 13),
- dh-ada-library (>= 8.2),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
+ gnat (>= 13.1),
  gprbuild,
- libahven11-dev,
+ libahven-dev,
  ruby-pygments.rb,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -19,9 +20,10 @@
 Vcs-Browser: https://git.codelabs.ch/?p=anet.git
 Vcs-Git: https://git.codelabs.ch/git/anet.git -b debian
 
-Package: libanet7-dev
-Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
-Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev
+Package: libanet-dev
+Breaks: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev, libanet7-dev
+Replaces: libanet3-dev, libanet4-dev, libanet5-dev, libanet6-dev, libanet7-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
