=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,3 @@
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	$(MAKE) $(MAKE_OPTS) tests
-
-# d/doc-base affects the -dev package because it is listed first in d/control.
-override_dh_auto_build: debian/doc-base
-debian/doc-base: debian/template_libanet-dev.doc-base
-	sed s/@dev_pkg@/$(anet_DEV_PKG)/ $< > $@
