## anet 0.5.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 MAJOR    = 0
 MINOR    = 5
-REVISION = 0
+REVISION = 1
 # Set VERSION to '' for a static library.
 VERSION  = $(MAJOR).$(MINOR).$(REVISION)
 ANET     = libanet-$(VERSION)
