=== debian/changelog ===
anet (0.5.1-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Mar 2025 16:09:03 +0100

anet (0.5.1-3) experimental; urgency=medium

  * Build tests with -O0 on arm{el,hf} as a work-around for ahven/#1096181

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Feb 2025 15:06:30 +0000

anet (0.5.1-2) experimental; urgency=medium

  * Only select protection build flags on aarch64 arm x86_64.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 16 Feb 2025 19:25:33 +0000

anet (0.5.1-1) experimental; urgency=medium

  * Build with gnat-14 in experimental
  * New upstream release
  * Bump Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 01 Jan 2025 18:46:03 +0100
