=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/packaging.mk
+
+export TARGET_ARCH := $(DEB_HOST_GNU_TYPE)
 
 OS := $(subst kfree,,$(DEB_HOST_ARCH_OS))
 
@@ -32,6 +34,11 @@
 	$(MAKE) $(MAKE_OPTS) install VERSION= \
 	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'
 
+# work-around #1096181 in ahven.
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
+  override_dh_auto_test: export ADAFLAGS += -O0
+endif
+
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 	$(MAKE) $(MAKE_OPTS) tests
