=== debian/tests/control ===
Tests: link-with-shared
Depends: gprbuild, libanet-dev,
